Bug 225832 - Merge Review: gnome-python2-desktop (stalled)
Merge Review: gnome-python2-desktop (stalled)
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-python2-desktop (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Colin Walters
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 13:54 EST by Nobody's working on this, feel free to take it
Modified: 2015-07-15 11:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:54:17 EST
Fedora Merge Review: gnome-python2-desktop

Initial Owner: mbarnes@redhat.com
Comment 1 Roozbeh Pournader 2007-02-05 09:40:30 EST
BLOCKER: spec filename is not %{name}.spec

From the review guidelines:
  MUST: The spec file name must match the base package %{name}, in the format
Comment 2 Matthew Barnes 2007-02-05 12:20:29 EST
Fixed in gnome-python2-desktop-2.17.3-3.fc7.
Comment 3 Bug Zapper 2008-05-14 08:08:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Milan Crha 2010-03-18 07:29:56 EDT
As some subpackages are LGPLv2 and some GPLv2, shouldn't the main package has both of them?

> %files -n gnome-python2-rsvg
> %files -n gnome-python2-gnomedesktop
> %files -n gnome-python2-gnomekeyring
doesn't contains %defattr(...) line

> Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
> directory ownership and usability)
There is one .pc file listed.

This seems to be all devel package, sort of, from my point of view, but as that I guess it's ok for python to not name package as -devel (you know: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package).

Apart of the above I guess it's fine. If I'm wrong with anything, just tell me.
Comment 5 Milan Crha 2010-03-18 07:32:30 EDT
(In reply to comment #4)
> > %files -n gnome-python2-rsvg
> > %files -n gnome-python2-gnomedesktop
> > %files -n gnome-python2-gnomekeyring
> doesn't contains %defattr(...) line

Ouch, this might be fixed in gnome-python2-desktop-2.28.0-4, I guess. I overlooked it.
Comment 6 Cole Robinson 2015-02-11 15:36:45 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:


If you don't know what merge reviews are about, please see:


How to handle this bug is left to the discretion of the package maintainer.
Comment 7 Parag AN(पराग) 2015-06-10 01:08:02 EDT
Based on above there is no need to review this package anymore.
Comment 8 Jan Kurik 2015-07-15 11:26:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.